# Testing



There are 5 processes, so you'll need 5 terminal windows or screen / tmux
sessions:

1. TCP end server: `nc -l -p 30382`
2. QUIC relay server: `RUST_LOG=quic_demo_relay_server=debug cargo run --bin quic_demo_relay_server`
3. Server-side adapter: `RUST_LOG=quic_demo_end_server=debug cargo run --bin quic_demo_end_server`
4. Client-side adapter: `RUST_LOG=quic_demo_client cargo run --bin quic_demo_client`
5. TCP end client: `nc 127.0.0.1 30381`

The netcat processes from steps 1 and 5 should now be connected to each other.
